Bug 418911 - FutureFeature: Request to add util-linux-ng, esp. sfdisk, to rescue DVD
FutureFeature: Request to add util-linux-ng, esp. sfdisk, to rescue DVD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda-images (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 16:46 EST by Damian Berger
Modified: 2008-08-06 15:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 15:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Berger 2007-12-10 16:46:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
The FC8 Rescue DVD image doesn't include sfdisk.  sfdisk was on the FC6 Rescue CD, but maybe it just didn't fit on the DVD. :)

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
# find / -name sfdisk



Actual Results:



Expected Results:
# find / -name sfdisk
/sbin/sfdisk


Additional info:
The non-interactive mode of sfdisk is a key part of bare metal recovery, at least for me.  Duplicating a complex partition table using fdisk is tedious.
Comment 1 Chris Lumens 2008-01-16 15:40:24 EST
What does sfdisk provide that parted does not?
Comment 2 Damian Berger 2008-01-16 20:58:48 EST
To my knowledge, parted can't dump a partition table in a format that can be
directly used to write a new partition table.  With sfdisk I can dump the
partition table to a backup, and then use that file during bare metal recovery
to re-create the partitions on an identical disk:

Dump partition table in sfdisk-readable format:
# sfdisk -d /dev/sda > /mnt/backup/sda_partition_table.txt

Restore partition table:
# sfdisk /dev/sda < /mnt/backup/sda_partition_table.txt

Comment 3 Gene Czarcinski 2008-05-23 02:19:06 EDT
sfdisk is not in the f9 version of RescueCD either.  As stated in comment #2,
sfdisk provides the easy functionality of saving and restoring a partition table.

Note You need to log in before you can comment on or make changes to this bug.